unit uSplash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, JvGIF, StdCtrls;

type
  TSplashScreen = class(TForm)
    Panel1: TPanel;
    lblTexto: TLabel;
    Image1: TImage;
    procedure Image1Click(Sender: TObject);
  private
    function GetTexto: String;
    procedure SetTexto(const Value: String);
    { Private declarations }
  public
    property Texto : String read GetTexto write SetTexto;
    procedure ShowAsAbout;
  end;

var
  SplashScreen: TSplashScreen;

implementation

{$R *.dfm}

{ TSplashScreen }

procedure TSplashScreen.ShowAsAbout;
begin
  Image1.OnClick := Image1Click;
  ShowModal;  
end;

procedure TSplashScreen.Image1Click(Sender: TObject);
begin
  Close;
end;

function TSplashScreen.GetTexto: String;
begin
  Result := lblTexto.Caption;

end;

procedure TSplashScreen.SetTexto(const Value: String);
begin
  lblTexto.Caption := Value;
  Self.Update;
end;

end.
